package com.grkj.iscs_mc.view.presenter

import com.grkj.iscs_mc.extentions.serialNo
import com.grkj.iscs_mc.model.vo.replacement.ManualReplacementListRespVO
import com.grkj.iscs_mc.util.Executor
import com.grkj.iscs_mc.util.NetApi
import com.grkj.iscs_mc.view.base.BasePresenter
import com.grkj.iscs_mc.view.iview.IMaterialReplacementView

class MaterialReplacementPresenter : BasePresenter<IMaterialReplacementView>() {

    fun getManualReplacementList(callBack: (MutableList<ManualReplacementListRespVO>?) -> Unit) {
        NetApi.getManualReplacementList(mContext!!.serialNo()) {
            Executor.runOnMain {
                callBack(it)
            }
        }
    }
}